> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a counter



## OpenAPI

````yaml /api-reference/4.2/service-usage.json put /usage/counters/{key}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service usage
servers:
  - url: /api/apollo/
security: []
tags:
  - name: usage
paths:
  /usage/counters/{key}:
    put:
      tags:
        - 4.2 Usage API
      summary: Update a counter
      operationId: incrementCounter
      parameters:
        - name: key
          in: path
          description: The counter key
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
        description: The counter value
      responses:
        default:
          description: successful operation

````